package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.StaffGroupStatisticsTotal;
import com.tzld.piaoquan.growth.common.model.po.StaffGroupStatisticsTotalExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface StaffGroupStatisticsTotalMapper {
    long countByExample(StaffGroupStatisticsTotalExample example);

    int deleteByExample(StaffGroupStatisticsTotalExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StaffGroupStatisticsTotal record);

    int insertSelective(StaffGroupStatisticsTotal record);

    List<StaffGroupStatisticsTotal> selectByExample(StaffGroupStatisticsTotalExample example);

    StaffGroupStatisticsTotal selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StaffGroupStatisticsTotal record, @Param("example") StaffGroupStatisticsTotalExample example);

    int updateByExample(@Param("record") StaffGroupStatisticsTotal record, @Param("example") StaffGroupStatisticsTotalExample example);

    int updateByPrimaryKeySelective(StaffGroupStatisticsTotal record);

    int updateByPrimaryKey(StaffGroupStatisticsTotal record);
}